package org.jboss.security.propertyeditor;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.beans.PropertyEditorSupport;
import javax.naming.InitialContext;
import org.jboss.logging.Logger;
import org.jboss.security.SecurityDomain;

public class SecurityDomainEditor extends PropertyEditorSupport {
  private static Logger log = Logger.getLogger(org.jboss.security.propertyeditor.SecurityDomainEditor.class);
  
  private String domainName;
  
  public void setAsText(String text) {
    this.domainName = text;
    try {
      SecurityDomainProxy securityDomainProxy;
      InitialContext ctx = new InitialContext();
      Object ref = ctx.lookup(text);
      SecurityDomain domain = null;
      if (ref instanceof SecurityDomain) {
        domain = (SecurityDomain)ref;
      } else {
        securityDomainProxy = new SecurityDomainProxy(this.domainName);
      } 
      setValue(securityDomainProxy);
    } catch (Exception e) {
      log.error("Failed to lookup SecurityDomain, " + this.domainName, e);
    } 
  }
  
  public String getAsText() {
    return this.domainName;
  }
}
